/*
List of prefs used by ghostfox
extensions.ghostfox.display.focus_text_color		 
extensions.ghostfox.display.foreground_color			
extensions.ghostfox.display.background_color			
extensions.ghostfox.active_color				
extensions.ghostfox.anchor_color				
extensions.ghostfox.visited_color				
extensions.ghostfox.display.focus_background_color	
extensions.ghostfox.dgLvl
extensions.ghostfox.dgUsr (bool)

*/
function initAll()
{
alert('initAll called');
var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

	/* ::: Fix the directory service and local file interface to the winampcc executable ::: */
//	var directoryService=Components.classes['@mozilla.org/file/directory_service;1'].getService(Components.interfaces.nsIProperties);
//	var wFile = directoryService.get('ProfD', Components.interfaces.nsILocalFile);
	
	//get existing prefs
	var dftxtClr = prefs.getCharPref("browser.display.focus_text_color");
	var dfgClr = prefs.getCharPref("browser.display.foreground_color");
	var dbgClr = prefs.getCharPref("browser.display.background_color");
	var dactClr = prefs.getCharPref("browser.active_color");
	var dancClr = prefs.getCharPref("browser.anchor_color");
	var dvstClr = prefs.getCharPref("browser.visited_color");
	var dfbgClr = prefs.getCharPref("browser.display.focus_background_color");

	//save existing prefs.
	prefs.setCharPref("extensions.ghostfox.display.focus_text_color",dftxtClr);
	prefs.setCharPref("extensions.ghostfox.display.foreground_color",dfgClr);
	prefs.setCharPref("extensions.ghostfox.display.background_color",dbgClr);
	prefs.setCharPref("extensions.ghostfox.active_color",dactClr);
	prefs.setCharPref("extensions.ghostfox.anchor_color",dancClr);
	prefs.setCharPref("extensions.ghostfox.visited_color",dvstClr);
	prefs.setCharPref("extensions.ghostfox.display.focus_background_color",dfbgClr);
	//prefs.setBoolPref("extensions.ghostfox.dgUsr","False");
alert('existing prefs saved');                                       	
readPrefs();
}

function dgLvl1()
{
document.getElementById('lblLvldesc').innerHTML = "Level 1: All pages are displayed as Firefox usually displays them.";
}

function dgLvl2()
{
document.getElementById('lblLvldesc').innerHTML = "Level 2: Text is greyed out. Images are displayed.";
}

function dgLvl3()
{
document.getElementById('lblLvldesc').innerHTML = "Level 3: Text is greyed out. Images are hidden.";
}

function dgLvl4()
{
document.getElementById('lblLvldesc').innerHTML = "Level 4: Text is greyed out and equally sized. Images are hidden.";
}

function dgLvl5()
{
document.getElementById('lblLvldesc').innerHTML = "Level 5: Text is greyed out and equally sized. Images are removed.";
}

function dgLvl6()
{
document.getElementById('lblLvldesc').innerHTML = "Level 6: Text visible only on selection. Images are removed.";
}

function readPrefs()
{
alert('prefs red0');
alert('reading prefs');

//var prefs1 = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

	//
	var dgUsr = prefs1.getBoolPref("extensions.ghostfox.dgUsr");
	if (!dgUsr){
	initPredg();
	}
	else{
	initUsrdg();
	}
alert("prefs red");
alert("prefs  red1");
}

function initPredg()
{
alert('initPredg');
	//Disable Usrdg
	document.getElementById('rdUsrdg').removeAttribute('checked');
	document.getElementById('txtTClr').setAttribute('disabled','true');
	document.getElementById('txtBgClr').setAttribute('disabled','true');
	document.getElementById('chkSize').setAttribute('disabled','true');
	document.getElementById('txtTSize').setAttribute('disabled','true');
	document.getElementById('rdIMO').setAttribute('disabled','true');
	document.getElementById('rdIAl').setAttribute('disabled','true');
	document.getElementById('rdINvr').setAttribute('disabled','true');

	//Enable Predg
	document.getElementById('rdPredg').removeAttribute('disabled');
	document.getElementById('mnuPredg').removeAttribute('disabled');
	document.getElementById('rdPredg').setAttribute('checked','true');
}
	
function initUsrdg()
{
	//Disable Predg
	document.getElementById('rdPredg').removeAttribute('disabled');
	document.getElementById('mnuPredg').setAttribute('disabled','true');
	
	//Enable Usrdg
	document.getElementById('rdUsrdg').setAttribute('checked','true');
	document.getElementById('txtTClr').removeAttribute('disabled');
	document.getElementById('txtBgClr').removeAttribute('disabled');
	document.getElementById('chkSize').removeAttribute('disabled');
//	if (document.getElementById('chkSize').getAttribute('selected')){
//		document.getElementById('txtTSize').removeAttribute('disabled');}
	document.getElementById('rdIMO').removeAttribute('disabled');
	document.getElementById('rdIAl').removeAttribute('disabled');
	document.getElementById('rdINvr').removeAttribute('disabled');
	document.getElementById('rdPredg').removeAttribute('checked');
	alert("txtImg"); 	
	//Load Usrdg
	var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);
	var txtTclr = prefs.getCharPref("extensions.ghostfox.dgUsr.Tclr");
	var txtBgClr = prefs.getCharPref("extensions.ghostfox.dgUsr.BgClr");
	var txtTSize = prefs.getCharPref("extensions.ghostfox.dgUsr.TSize");
	var txtImg = prefs.getCharPref("extensions.ghostfox.dgUsr.ImgStat");
//Imgstat: 0-Nvr 1-Hide 2-Always
	alert(txtImg);
	if (txtImg=="nvr"){
		document.getElementById('rdINvr').setAttribute('checked','true');}
	else{
		if (txtImg=="omo"){
			document.getElementById('rdIMO').setAttribute('checked','true');}
		else{
			document.getElementById('rdIAl').setAttribute('checked','true');}}
					
}